PDA

View Full Version : ExtJS4.1.1a version upgrade issues



g.raghuvamshi
26 Sep 2012, 4:08 AM
Hi,

Kindly find the issue details below:

Issues fixed in local files which are correct:
1. In locale.js: Ext.Util.JSON has changed to Ext.JSON
2.In environmentGridPanel.js:
a.Ext.grid.ColumnModel is no more valid; so, modified to Ext.grid.column.Column
b. Ext.grid.GridView() is no more valid; so, modified to Ext.grid.View()
c. Ext.grid.RowSelectionModel is no more valid; so, modified to selType: ‘rowModel’

Please confirm above changes are correct....

With the above changes, ExtJs source files errors encountered.

Below are the temporary fixes to remove the error but not able to:
1.In ext-all-debug-w-comments.js:
a. Error is coming at ‘me.selModel.view = me’ and modified this to ‘me.selModel = me’ and error shifted further
b. Modified ‘me.headerCt.view = me’ to ‘me.headerCt = me’ and error shifted to again local files (ext-overrides.js)
2. In ext-overrides.js:
a. Getting error at ‘this.el.dom.maxLength = this.maxLength *1’ as ‘this.el is undefined’ – very less web help found here

Could anyone help me out in resolving these issues?

Thanks,
Raghu

scottmartin
26 Sep 2012, 4:53 AM
What version are you upgrading from?

Scott.

g.raghuvamshi
26 Sep 2012, 5:06 AM
From 3.4 to 4.1.1a